Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class UnsignedInt16

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--com.sun.wbem.cim.UnsignedInt16

public class UnsignedInt16
extends java.lang.Number
implements java.io.Serializable

Creates and instantiates an unsigned 16-bit integer object

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static int` | `MAX_VALUE` the maximum value this int can have
`static int` | `MIN_VALUE` the minimum value this int can have

Constructor Summary
`UnsignedInt16(int a)` Constructor creates an unsigned 16-bit integer object for the specified int value.
`UnsignedInt16(java.lang.String a)` Constructor creates an unsigned 16-bit integer object for the specified string.

Method Summary
`byte` | `byteValue()` Returns the value of this unsigned 16-bit integer object as a byte This method returns the least significant 8 bits.
`double` | `doubleValue()` Returns the value of this unsigned 16-bit integer object as a double
`boolean` | `equals(java.lang.Object o)` Compares this unsigned 16-bit integer object with the specified object for equality
`float` | `floatValue()` Returns the value of this unsigned 16-bit integer object as a float
`int` | `hashCode()` Computes the hash code for this unsigned 16-bit integer object
`int` | `intValue()` Returns the value of this unsigned 16-bit integer object as an int
`long` | `longValue()` Returns the value of this unsigned 16-bit integer object as a long
`short` | `shortValue()` Returns the value of this unsigned 16-bit integer object as a short
`java.lang.String` | `toString()` Returns the text representation of this unsigned 16-bit integer object

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_VALUE

    public static final int MAX_VALUE

  the maximum value this int can have

### MIN_VALUE

    public static final int MIN_VALUE

  the minimum value this int can have

Constructor Detail

### UnsignedInt16

    public UnsignedInt16(int a)

  Constructor creates an unsigned 16-bit integer object for the specified int value. Only the bottom 16 bits are considered.
  Parameters:
    `a` - the integer to be represented as an unsigned 16-bit integer object

### UnsignedInt16

    public UnsignedInt16(java.lang.String a)
                  throws java.lang.NumberFormatException

  Constructor creates an unsigned 16-bit integer object for the specified string. Only the bottom 16 bits are considered.
  Parameters:
    `a` - the string to be represented as an unsigned 16-bit integer

Method Detail

### byteValue

    public byte byteValue()

  Returns the value of this unsigned 16-bit integer object as a byte This method returns the least significant 8 bits.
  Overrides:
    byteValue in class java.lang.Number
  Returns:
    byte the byte value of this unsigned 16-bit integer object

### shortValue

    public short shortValue()

  Returns the value of this unsigned 16-bit integer object as a short
  Overrides:
    shortValue in class java.lang.Number
  Returns:
    short value of this unsigned 16-bit integer object as a short

### intValue

    public int intValue()

  Returns the value of this unsigned 16-bit integer object as an int
  Overrides:
    intValue in class java.lang.Number
  Returns:
    int value of this unsigned 16-bit integer object as an int

### longValue

    public long longValue()

  Returns the value of this unsigned 16-bit integer object as a long
  Overrides:
    longValue in class java.lang.Number
  Returns:
    long value of this unsigned 16-bit integer object as a long

### floatValue

    public float floatValue()

  Returns the value of this unsigned 16-bit integer object as a float
  Overrides:
    floatValue in class java.lang.Number
  Returns:
    float value of this unsigned 16-bit integer object as a float

### doubleValue

    public double doubleValue()

  Returns the value of this unsigned 16-bit integer object as a double
  Overrides:
    doubleValue in class java.lang.Number
  Returns:
    double value of this unsigned 16-bit integer object as a double

### toString

    public java.lang.String toString()

  Returns the text representation of this unsigned 16-bit integer object
  Overrides:
    toString in class java.lang.Object
  Returns:
    String text representation of this unsigned 16-bit integer

### hashCode

    public int hashCode()

  Computes the hash code for this unsigned 16-bit integer object
  Overrides:
    hashCode in class java.lang.Object
  Returns:
    int the integer representing the hash code for this unsigned 16-bit integer object

### equals

    public boolean equals(java.lang.Object o)

  Compares this unsigned 16-bit integer object with the specified object for equality
  Overrides:
    equals in class java.lang.Object
  Returns:
    boolean true if the specified object is an unsigned 16-bit integer . Otherwise, false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD